Index: plugins/ao/Makefile
===================================================================
--- plugins/ao/Makefile	(revision 5851)
+++ plugins/ao/Makefile	(revision 0)
@@ -1,28 +1,14 @@
 TARGET=libroar.so
-OBJ=ao_roar.o
-
-include ../../Makefile.conf
-include ../../Makefile.inc
-include Makefile.conf
-
-#DEFINES=-DDEBUG
-CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) -I../../include $(DEFINES) $(HAVE_MATRIX) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(AO_CFLAGS)
-LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib
-LIBS    = $(LIBROAR) $(AO_LIBS)
 
 all: ${TARGET}
 clean:
-	rm -f ${TARGET} *.o tests tests.c
+	rm -f ${TARGET} tests tests.c
 new: clean all
 
 install: libroar.so
-	mkdir -p ${DESTDIR}${INSTALL_DIR}
-	cp libroar.so ${DESTDIR}${INSTALL_DIR}
-semi-install: libroar.so
-	mkdir -p ${DESTDIR}${INSTALL_DIR}
-	ln -fs `pwd`/libroar.so ${DESTDIR}${INSTALL_DIR}
+	cp libroar.so ${INSTALL_DIR}
 
-libroar.so: $(OBJ)
-	$(CC) $(LDFLAGS) -Wl,-soname,libroar.so -o libroar.so $(OBJ) $(LIBS)
+libroar.so: ao_roar.c
+	cc -shared -lroar -o libroar.so ao_roar.c
 
 ao_roar.c:
Index: plugins/ao/README
===================================================================
--- plugins/ao/README	(revision 3232)
+++ plugins/ao/README	(revision 0)
@@ -2,5 +2,5 @@
          -------------------------------------------
 
-Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+Copyright (C) Philipp 'ph3-der-loewe' Schafft - May 2008
 based on ao_esd.c of libao by Stan Seibert - July 2000, July 2001
 
Index: plugins/ao/ao_roar.c
===================================================================
--- plugins/ao/ao_roar.c	(revision 6052)
+++ plugins/ao/ao_roar.c	(revision 0)
@@ -3,5 +3,5 @@
  *  ao_roar.c
  *
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - May 2008
  *      based on ao_esd.c of libao by Stan Seibert - July 2000, July 2001
  *
@@ -11,5 +11,5 @@
  *  This file is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2, or (at your opinion)
+ *  the Free Software Foundation; either version 2, or (at your option)
  *  any later version.
  *
@@ -21,6 +21,5 @@
  *  You should have received a copy of the GNU General Public License
  *  along with GNU Make; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  */
@@ -59,5 +58,5 @@
  "Outputs to the RoarAudio Sound Daemon.",
  AO_FMT_NATIVE,
- 50,
+ 41,
  ao_roar_options,
  1
@@ -66,5 +65,5 @@
 
 typedef struct ao_roar_internal {
- struct roar_vio_calls svio;
+ int    sock;
  char * host;
 } ao_roar_internal;
@@ -120,32 +119,12 @@
 int ao_plugin_open(ao_device * device, ao_sample_format * format) {
  ao_roar_internal * internal = (ao_roar_internal *) device->internal;
-#ifdef HAVE_MATRIX
- char * map = NULL;
-#endif
 
- if ( roar_vio_simple_stream(&(internal->svio), format->rate, format->channels, format->bits,
-                             ROAR_CODEC_DEFAULT, internal->host, ROAR_DIR_PLAY, "libao client") == -1 )
+ internal->sock = roar_simple_play(format->rate, format->channels, format->bits,
+                                   ROAR_CODEC_DEFAULT, internal->host, "libao client");
+
+ if ( internal->sock == -1 )
   return 0;
 
  device->driver_byte_format = AO_FMT_NATIVE;
-
-#ifdef HAVE_MATRIX
- if( device->output_matrix != NULL )
-  free(device->output_matrix);
-
- device->output_matrix = NULL;
-
- switch (format->channels) {
-  case  1: map = "M";               break;
-  case  2: map = "L,R";             break;
-  case  3: map = "L,R,C";           break;
-  case  4: map = "L,R,BL,BR";       break;
-  case  5: map = "L,R,C,BL,BR";     break;
-  case  6: map = "L,R,C,LFE,BL,BR"; break;
- }
-
- if ( map != NULL )
-  device->output_matrix = strdup(map);
-#endif
 
  return 1;
@@ -155,5 +134,5 @@
  ao_roar_internal * internal = (ao_roar_internal *) device->internal;
 
- if (roar_vio_write(&(internal->svio), (char*)output_samples, num_bytes) == -1) {
+ if (write(internal->sock, output_samples, num_bytes) == -1) {
   return 0;
  } else {
@@ -166,5 +145,5 @@
  ao_roar_internal * internal = (ao_roar_internal *) device->internal;
 
- roar_vio_close(&(internal->svio));
+ roar_simple_close(internal->sock);
 
  return 1;
